DIPlib Documentation - ©1995-2009 Quantitative Imaging Group, Delft University of Technology.

# ImageReadPIC

Read BioRad PIC image from file (in dipIO)

## SYNOPSIS

`#include "dipio_pic.h"`

dip_Error dipio_ImageReadPIC ( image, filename, offset, roisize, sampling, info, resources )

## FUNCTION

This function reads the image in the BioRAD PIC file and puts it in `image`. `image` must be allocated before calling this function. The information stored in the file is put in `info`.

`offset` and `roisize` define a region of interest to be read in. The ROI is clipped to the actual image data, so it is safe to specify a ROI that is too large. `sampling` can be used to read in a subset of the pixels of the chosen ROI. Any or all of these three parameters can be `NULL`.

## ARGUMENTS

Data type | Name | Description
`dip_Image` | `image` | Output image
`dip_String` | `filename` | File name
`dip_IntegerArray` | `offset` | ROI offset
`dip_IntegerArray` | `roisize` | ROI size
`dip_IntegerArray` | `sampling` | ROI sampling rate
`dipio_ImageFileInformation *` | `info` | File information
`dip_Resources` | `resources` | Resources tracking structure. See `ResourcesNew`

## SEE ALSO

`ImageRead`, `ImageReadROI`

DIPlib on-line documentation | Function reference | Global function index